MPE_Finish_log(4)

NAME
MPE_Finish_log - Send log to master, who writes it out

SYNOPSIS
int MPE_Finish_log( const char *filename )

NOTES
MPE_Finish_log() & MPE_Init_log() are NOT needed when liblmpe.a is linked because MPI_Finalize() would have called MPE_Finish_log() already. liblmpe.a will be included in the final executable if it is linked with either "mpicc -mpe=mpilog" or "mpecc -mpilog" This routine outputs the logfile in CLOG2 format, i.e. a collective call over 'MPI_COMM_WORLD'. This function is threadsafe, but MPE_Finish_log() is expected to be called only on the main thread which initializes MPE logging through MPE_Init_log().

RETURNS
Always return MPE_LOG_OK.

SEE ALSO
MPE_Init_log()

LOCATION